// admin-api.service.ts

import { BaseApiService } from "./core-api-service";

class UserApiService extends BaseApiService<IUser> {
  constructor() {
    super("users");
  }

  //   grantNewPassword(admin: Partial<IUser>) {
  //     return this.customAction(admin.id!, 'grant-new-password', {
  //       password: admin.password,
  //     });
  //   }
}

export const userApi = new UserApiService();
